commit:     dd17537f156c6486f6223fad215f2dc9d6b7df83
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 12 14:27:04 2020 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Jul 12 21:02:50 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd17537f

app-text/evince: bump to 3.36.7

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 app-text/evince/Manifest             |   1 +
 app-text/evince/evince-3.36.7.ebuild | 107 +++++++++++++++++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/app-text/evince/Manifest b/app-text/evince/Manifest
index ca33e3d4879..f95a0bb7086 100644
--- a/app-text/evince/Manifest
+++ b/app-text/evince/Manifest
@@ -1 +1,2 @@
 DIST evince-3.34.2.tar.xz 2565752 BLAKE2B 
76497c34ce2eb460a3f2c3e790a7c44b9eeddd566854061d49fba2ba7cefa3b523d7bfe973d08b7ec1e8d967e4cbd63c73a668a346bd158a67752897f25827ee
 SHA512 
51bfa4671e17a98c536790185ece6f4f77b956062901f840cd298cdc3e42eb7e8cabe9bfa84387f185cdf7462a322ef54bbc463b988a677af68561e55acd9f12
+DIST evince-3.36.7.tar.xz 2580208 BLAKE2B 
76ba6d206289f9981af24e5d82c9567c05984ad71efe83391aa1f8fdd94d31c284e600cf81eab9868e01f120f71cde1ae9b6ee6b7a4b1da47458d17b95b78d87
 SHA512 
dacc26d2d75c3dcadceb0a35c995ae3501bd91e84632cdf87decd359350e74032444707ea152e24c01fb57fe0ef2a426813a33919833cefdeb8699f8c642d910

diff --git a/app-text/evince/evince-3.36.7.ebuild 
b/app-text/evince/evince-3.36.7.ebuild
new file mode 100644
index 00000000000..bc17efc5a75
--- /dev/null
+++ b/app-text/evince/evince-3.36.7.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+GNOME2_EAUTORECONF="yes"
+
+inherit gnome2 systemd
+
+DESCRIPTION="Simple document viewer for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evince";
+
+LICENSE="GPL-2+ CC-BY-SA-3.0"
+# subslot = evd3.(suffix of libevdocument3)-evv3.(suffix of libevview3)
+SLOT="0/evd3.4-evv3.3"
+IUSE="djvu dvi gstreamer gnome gnome-keyring +introspection nautilus nsplugin 
postscript spell t1lib tiff xps"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~x64-solaris"
+
+# atk used in libview
+# bundles unarr
+COMMON_DEPEND="
+       dev-libs/atk
+       >=dev-libs/glib-2.38.0:2
+       >=dev-libs/libxml2-2.5:2
+       sys-libs/zlib:=
+       >=x11-libs/gdk-pixbuf-2.36.5:2
+       >=x11-libs/gtk+-3.22.0:3[introspection?]
+       gnome-base/gsettings-desktop-schemas
+       >=x11-libs/cairo-1.10:=
+       >=app-text/poppler-0.76.0[cairo]
+       >=app-arch/libarchive-3.2.0
+       djvu? ( >=app-text/djvu-3.5.22:= )
+       dvi? (
+               virtual/tex-base
+               dev-libs/kpathsea:=
+               t1lib? ( >=media-libs/t1lib-5:= ) )
+       gstreamer? (
+               media-libs/gstreamer:1.0
+               media-libs/gst-plugins-base:1.0
+               media-libs/gst-plugins-good:1.0 )
+       gnome? ( gnome-base/gnome-desktop:3= )
+       gnome-keyring? ( >=app-crypt/libsecret-0.5 )
+       introspection? ( >=dev-libs/gobject-introspection-1:= )
+       nautilus? ( >=gnome-base/nautilus-3.28.0 )
+       postscript? ( >=app-text/libspectre-0.2:= )
+       spell? ( >=app-text/gspell-1.6.0:= )
+       tiff? ( >=media-libs/tiff-3.6:0= )
+       xps? ( >=app-text/libgxps-0.2.1:= )
+"
+RDEPEND="${COMMON_DEPEND}
+       gnome-base/gvfs
+       gnome-base/librsvg
+       || (
+               >=x11-themes/adwaita-icon-theme-2.17.1
+               >=x11-themes/hicolor-icon-theme-0.10 )
+"
+DEPEND="${COMMON_DEPEND}
+       app-text/docbook-xml-dtd:4.3
+       dev-libs/appstream-glib
+       dev-util/gdbus-codegen
+       dev-util/glib-utils
+       >=dev-util/gtk-doc-am-1.13
+       dev-util/itstool
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       app-text/yelp-tools
+"
+# eautoreconf needs:
+#  app-text/yelp-tools
+
+PATCHES=(
+       "${FILESDIR}"/3.30.2-internal-synctex.patch # don't automagically link 
to synctex from texlive-core - always use internal copy of this small parser 
for now; requires eautoreconf
+)
+
+src_prepare() {
+       gnome2_src_prepare
+
+       # Do not depend on adwaita-icon-theme, bug #326855, #391859
+       # https://gitlab.freedesktop.org/xdg/default-icon-theme/issues/7
+       sed -e 's/adwaita-icon-theme >= $ADWAITA_ICON_THEME_REQUIRED//g' \
+               -i configure || die "sed failed"
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-static \
+               --enable-pdf \
+               --enable-comics \
+               --enable-thumbnailer \
+               --with-platform=gnome \
+               --enable-dbus \
+               $(use_enable djvu) \
+               $(use_enable dvi) \
+               $(use_enable gstreamer multimedia) \
+               $(use_enable gnome libgnome-desktop) \
+               $(use_with gnome-keyring keyring) \
+               $(use_enable introspection) \
+               $(use_enable nautilus) \
+               $(use_enable nsplugin browser-plugin) \
+               $(use_enable postscript ps) \
+               $(use_with spell gspell) \
+               $(use_enable t1lib) \
+               $(use_enable tiff) \
+               $(use_enable xps) \
+               
BROWSER_PLUGIN_DIR="${EPREFIX}"/usr/$(get_libdir)/nsbrowser/plugins \
+               --with-systemduserunitdir="$(systemd_get_userunitdir)"
+}

Reply via email to